unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  process;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button2: TButton;
    Button1: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  p:tprocess;
  pfad:string;
implementation

{$R *.lfm}

{ TForm1 }

// Start per Batch , alte Vorgehensweise
procedure TForm1.Button1Click(Sender: TObject);
begin
 p:=tprocess.Create(nil);
 P.Options := [poWaitOnExit];
 p.Executable:=pfad+'\start.bat';
 p.Execute;
 freeandnil(p);
end;

// Start der reinen XFoil.exe ohne Übergaben
procedure TForm1.Button2Click(Sender: TObject);
begin
 p:=tprocess.Create(nil);
 P.Options := [poWaitOnExit];
 p.Executable:=pfad+'\xfoil.exe';
 p.Execute;
 freeandnil(p);
end;

// Versuch mit Kommando-Übergabe
procedure TForm1.Button3Click(Sender: TObject);
var s:string;
begin
 p:=tprocess.Create(nil);
 P.Options := [poUsePipes];
 p.Executable:=pfad+'\xfoil.exe';
 p.Execute;

 // Ab hier sollen dann die Kommandos (siehe Script.txt) gesendet werden
 s:='load NACA4415.DAT';
 p.Input.Write(s,length(s));

 sleep(2000);

 freeandnil(p);
end;

// Aktuellen Pfad holen
procedure TForm1.FormCreate(Sender: TObject);
begin
 pfad:=extractfiledir(paramstr(0));
end;

end.

